<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.adealink.weparty.commonui.widget.CommonTopBar
        android:id="@+id/top_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_top_bar_height"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:top_bar_title="@string/order_list_title" />

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/v_refresh"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@color/color_FFF1F2F5"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/top_bar">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_order"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="16dp"
            tools:itemCount="3"
            tools:listitem="@layout/layout_user_order_list_item" />

    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    <com.adealink.weparty.commonui.widget.CommonEmptyErrorView
        android:id="@+id/v_error_view"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/v_refresh"
        app:layout_constraintEnd_toEndOf="@id/v_refresh"
        app:layout_constraintStart_toStartOf="@id/v_refresh"
        app:layout_constraintTop_toTopOf="@id/v_refresh" />

</androidx.constraintlayout.widget.ConstraintLayout>